## libtool242 2.4.2-1ubuntu1%2bmaemo1

=== debian/changelog ===
libtool242 (2.4.2-1ubuntu1+maemo1) precise; urgency=low

  * Added conflicts, replaces & provides

 -- Marcin Mielniczuk <marmistrz@linux.pl>  Sun, 13 Jan 2013 12:27:04 +0100

libtool242 (2.4.2-1ubuntu1+maemo0) precise; urgency=low
  * Fixed build errors
 -- Marcin Mielniczuk <marmistrz@linux.pl>  Thu, 10 Jan 2013 16:15:29 +0100

libtool242 (2.4.2-1ubuntu1) precise; urgency=low

  * Renamed

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 31 Oct 2012 22:52:13 +0200

libtool (2.4.2-1ubuntu1) precise; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - Mark Java convenience test as an expected failure, due to
      http://gcc.gnu.org/bugzilla/show_bug.cgi?id=42143.
    - Mark libtool Multi-Arch: foreign; needed because it's a
      build-dependency.
  * Dropped changes, included in Debian:
    - Build libltdl for multiarch.
  * Dropped changes:
    - Fix the 'clean' target for the case where tests are not run: this
      seems to be solved upstream, clean works fine after a
      DEB_BUILD_OPTIONS=nocheck run without this.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 11 Nov 2011 22:36:13 -0800

libtool (2.4.2-1) unstable; urgency=low

  * New upstream release
    Remove patches applied upstream:
    - define_shlibpath_overrides_runpath4hurd.patch
    - tagdemo-libfoo.patch
  * Remove disable_cmdline_wrap4hurd.patch as it never really was
    needed in the first place.  The other tests failing made the
    cmdline_wrap test fail.
  * Add multiarch support.  Patch from
    Steve Langasek <steve.langasek@canonical.com>  (Closes: #646771)

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 29 Oct 2011 20:08:48 +0200

libtool (2.4-4ubuntu4) precise; urgency=low

  * Er, *actually* mark libtool multi-arch: foreign.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 05 Nov 2011 00:50:21 -0400

libtool (2.4-4ubuntu3) precise; urgency=low

  * Mark libtool Multi-Arch: foreign; needed because it's a
    build-dependency.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 05 Nov 2011 04:45:32 +0000

libtool (2.4-4ubuntu2) precise; urgency=low

  * Build libltdl for multiarch.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 26 Oct 2011 22:02:08 +0000

libtool (2.4-4ubuntu1) precise; urgency=low

  * Merge with Debian; remaining changes:
    - Mark Java convenience test as an expected failure, due to
      http://gcc.gnu.org/bugzilla/show_bug.cgi?id=42143.
    - Fix the 'clean' target for the case where tests are not run.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 11 Oct 2011 15:45:04 +0200

libtool (2.4-4) unstable; urgency=low

  * dpkg-dev decided to also reverse apply the arm change, so remove
    the revert (Closes: #632614)

 -- Kurt Roeckx <kurt@roeckx.be>  Wed, 24 Aug 2011 14:10:54 +0000

libtool (2.4-3) unstable; urgency=low

  * Also cat test-suite.log (Closes: #632613)
  * Also disable broken tests with non-PIC code on arm. (Closes: #632614)

 -- Kurt Roeckx <kurt@roeckx.be>  Fri, 29 Jul 2011 15:45:31 +0200

libtool (2.4-2ubuntu1) oneiric; urgency=low

  * Merge with Debian; remaining changes:
    - Added debian/patches/skip_nonpic_on_arm.patch.
    - Mark Java convenience test as an expected failure, due to
      http://gcc.gnu.org/bugzilla/show_bug.cgi?id=42143.
    - Fix the 'clean' target for the case where tests are not run.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 01 May 2011 11:49:14 +0200

libtool (2.4-2) unstable; urgency=low

  * Add support for hurd (Closes: #612204)
    Patches from Svante Signell <srs@kth.se> and
    Pino Toscano <toscano.pino@tiscali.it>

 -- Kurt Roeckx <kurt@roeckx.be>  Thu, 07 Apr 2011 21:57:09 +0200

libtool (2.4-1) unstable; urgency=low

  * New upstream release
    - Update build-depends to automake (>= 1:1.11.1), autoconf (>= 2.62)
    - Update patches to apply to current version:
      - link_all_deplibs.patch
      - deplib_binary.patch
  * convert to a 3.0 (quilt) source format, and drop quilt build-dependency.
  * Make tagdemo link to libfoo (Closes: #619845)

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 02 Apr 2011 19:07:56 +0000

libtool (2.2.10-1) experimental; urgency=low

  * New upstream release (Closes: #586246)
    - Change license of documentation to GFDL 1.3
    - Upstream now provides manpages for libtool and libtoolize, use
      those instead of our own.
    - drop lt_dlopenext.patch, bogus_directory.patch,
      skip_setlocale.patch, kopensolaris.patch and
      gold_symbol_versioning.patch applied upstream.

 -- Kurt Roeckx <kurt@roeckx.be>  Thu, 17 Jun 2010 20:09:14 +0200

libtool (2.2.6b-2ubuntu3) natty; urgency=low

  * Fix the 'unpatch' target to clean up .pc afterwards

  [ Peter Pearse ]
  * Fix the 'clean' target for the case where tests are not run.
    LP #720815.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 06 Mar 2011 17:07:25 -0800

libtool (2.2.6b-2ubuntu2) natty; urgency=low

  * Link tagdemo test with --copy-dt-needed-entries.
  * Mark Java convenience test as an expected failure, due to
    http://gcc.gnu.org/bugzilla/show_bug.cgi?id=42143.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 16 Feb 2011 10:25:50 +0000

libtool (2.2.6b-2ubuntu1) lucid; urgency=high

  * Added debian/patches/skip_nonpic_on_arm.patch: (LP: #503176)
    - This disables the non-PIC tests on ARM. Attempting to build a non-PIC
      library on ARMv7 causes the toolchain to bomb. This is a temporary 
      workaround for Launchpad Bug #503448, this patch can be dropped once
      GCC properly supports non-PIC shared libraries on ARMv7.

 -- Michael Casadevall <mcasadevall@ubuntu.com>  Tue, 05 Jan 2010 11:28:20 -0500

libtool (2.2.6b-2) unstable; urgency=low

  * Add build depedency on zlib1g-dev needed by the search-path.at
    testsuite test.  (Closes: #560219)

 -- Kurt Roeckx <kurt@roeckx.be>  Wed, 09 Dec 2009 21:51:21 +0100

libtool (2.2.6b-1) unstable; urgency=low

  * New upstream release
    - Fixes CVE-2009-3736 (Closes: #559797)
  * Skip demo-deplibs.test.  This is basicly the same as

