=== debian/control ===
Source: libtool242
Build-Depends: debhelper, texi2html, texinfo, file, gfortran | fortran95-compiler| gfortran-4.6, automake1.11 (>= 1:1.11.1), autoconf2.67 (>= 2.62), autotools-dev, zlib1g-dev
Build-Conflicts: automake1.9, gcj
Section: devel
Priority: optional
Maintainer: Marcin Mielniczuk <marmistrz@linux.pl>
XSBC-Original-Maemo-Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com> 
XSBC-Original-Maintainer: Kurt Roeckx <kurt@roeckx.be>
Standards-Version: 3.8.3
Homepage: http://www.gnu.org/software/libtool/

Package: libtool242
Architecture: armel
Multi-Arch: foreign
Section: devel
Depends: gcc | c-compiler, cpp, libc6-dev | libc-dev, file, autotools-dev, autoconf2.67
Suggests: libtool242-doc, autoconf (>> 2.50), automaken, gfortran | fortran95-compiler, gcj
Conflicts: autoconf (<= 2.12), automake (<= 1.3), libtool1.4, libtool
Provides: libtool
Replaces: libtool
Recommends: libltdl-242-dev
Description: Generic library support script
 This is GNU libtool, a generic library support script.  Libtool hides
 the complexity of generating special library types (such as shared
 libraries) behind a consistent interface.  To use libtool, add the
 new generic library building commands to your Makefile, Makefile.in,
 or Makefile.am.  See the documentation for details.  Libtool supports
 building static libraries on all platforms.
 .
 Libtool supports generation of C, C++, Fortran and Java libraries.

Package: libtool242-doc
Architecture: armel
Section: doc
Depends: ${misc:Depends}
Conflicts: libtool1.4-doc, libtool-doc
Provides: libtool-doc
Replaces: libtool-doc
Description: Generic library support script
 This package contains the GNU libtool documentation.
 .
 GNU libtool is generic library support script.  Libtool hides
 the complexity of generating special library types (such as shared
 libraries) behind a consistent interface.  To use libtool, add the
 new generic library building commands to your Makefile, Makefile.in,
 or Makefile.am.  See the documentation for details.  Libtool supports
 building static libraries on all platforms.

Package: libltdl-242-7
Architecture: armel
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}
Conflicts: libltdl7
Provides: libltdl7
Replaces: libltdl7
Description: A system independent dlopen wrapper for GNU libtool
 This package contains the run-time libltdl library.
 .
 A small library that aims at hiding the various difficulties of
 dlopening libraries from programmers.  It is a system independent
 dlopen wrapper for GNU libtool.
 .
 It supports the following dlopen interfaces:
   * dlopen (Solaris, Linux and various BSD flavors)
   * shl_load (HP-UX)
   * LoadLibrary (Win16 and Win32)
   * load_add_on (BeOS)
   * GNU DLD (emulates dynamic linking for static libraries)
   * libtool's dlpreopen

Package: libltdl-242-dev
Architecture: armel
Multi-Arch: same
Section: libdevel
Suggests: libtool-doc
Recommends: libtool
Conflicts: libtool (<< 1.5.20), libtool1.4, libltdl3-dev, libltdl7-dev, libltdl-dev
Replaces: libtool (<< 1.5.20), libltdl3-dev, libltdl7-dev, libltdl-dev
Provides: libltdl3-dev, libltdl7-dev, libltdl-dev
Depends: libltdl-242-7 (= ${binary:Version})
Description: A system independent dlopen wrapper for GNU libtool
 This package contains the header files and static libraries for the
 libltdl package.
 .
 A small library that aims at hiding the various difficulties of
 dlopening libraries from programmers.  It is a system independent
 dlopen wrapper for GNU libtool.
 .
 It supports the following dlopen interfaces:
   * dlopen (Solaris, Linux and various BSD flavors)
   * shl_load (HP-UX)
   * LoadLibrary (Win16 and Win32)
   * load_add_on (BeOS)
   * GNU DLD (emulates dynamic linking for static libraries)
   * libtool's dlpreopen
