## libtool242 2.4.2-1ubuntu1%2bmaemo2

=== debian/changelog ===
libtool242 (2.4.2-1ubuntu1+maemo2) precise; urgency=low

  * Hardcoded pkgltdldir

 -- Marcin Mielniczuk <marmistrz@linux.pl>  Sun, 21 Apr 2013 15:44:44 +0200
