## libtool242 2.4.2-1ubuntu1%2bmaemo3

=== debian/changelog ===
libtool242 (2.4.2-1ubuntu1+maemo3) precise; urgency=low

  * Hardcoded a couple of locations more.

 -- Marcin Mielniczuk <marmistrz@linux.pl>  Sun, 21 Apr 2013 16:08:48 +0200
